@echo off
setlocal
set CLASSPATH=%CD%;%CLASSPATH%
set JAVAC=javac

if %1. == . goto continue
if %1. == cleanup. goto cleanup
echo Invalid argument "%1". Pass either nothing or 'clean'.
echo Usage: run [no arguments^|clean]
exit /b 1

:continue
echo ASN.1-compiling the syntax...
echo.
asn1pjav relay -per -relaysafe -err relay.log
if errorlevel 1 (
	echo Error ASN.1-compiling.
	exit /b 1
)

if exist "%OSS_ASN1_JAVA%\lib\oss.jar" goto next
echo The environment variable OSS_ASN1_JAVA not set.  Exiting...
exit /b 1

:next
cd relay
echo Java-compiling generated classes...
echo.
call relay.bat %JAVAC% -g >>..\relay.log
cd ..

%JAVAC% -g *.java >>relay.log
if not exist V2Peer.class (
	echo Error Java-compiling.
	echo V2Peer.class not found.
	exit /b 1
)

echo Running the test...
echo.

java V2Peer
if exist relay (
	rmdir /s /q relay
	exit /b 0
)

:cleanup
if exist relay 	rmdir /s /q relay
if exist relay.log del relay.log
if exist *.class del *.class
